<?php


namespace ModulesGarden\ProxmoxAddon\App\Models;


class Snippet
{
    protected $directory;
    protected $filename;
    protected $content;

    /**
     * Snippet constructor.
     * @param $filename
     * @param $content
     */
    public function __construct($directory, $filename, $content)
    {
        $this->directory = $directory;
        $this->filename = $filename;
        $this->content = $content;
    }

    /**
     * @return mixed
     */
    public function getFilename()
    {
        return $this->filename;
    }

    /**
     * @param mixed $filename
     * @return Snippet
     */
    public function setFilename($filename)
    {
        $this->filename = $filename;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getContent()
    {
        return $this->content;
    }

    /**
     * @param mixed $content
     * @return Snippet
     */
    public function setContent($content)
    {
        $this->content = $content;
        return $this;
    }

    /**
     * @return mixed
     */
    public function getDirectory()
    {
        return $this->directory;
    }

    /**
     * @param mixed $directory
     * @return Snippet
     */
    public function setDirectory($directory)
    {
        $this->directory = $directory;
        return $this;
    }

    public function getFileDirectory(){
        return $this->getDirectory().$this->getFilename();
    }

}